
#ifndef _AclAdmin_ICE_
#define _AclAdmin_ICE_

#include <Ice/Identity.ice>

sequence<Ice::Identity> EntityRefs;
dictionary<string,EntityRefs> AccesMap;
sequence<string> Strings;
dictionary<string,string> StringMap;

interface AclAdmin
{
	idempotent bool addEntity(string method,Ice::Identity usuario);
	idempotent bool delEntity(string method,Ice::Identity usuario);
	nonmutating EntityRefs getEntities(string method);
	nonmutating Ice::Identity getOwmner();
	idempotent bool chown(Ice::Identity usuario);
	nonmutating bool auth();
	idempotent bool setDefaultAcl();

	idempotent bool addMethod(string method);
	idempotent bool delMethod(string method);
	nonmutating Strings getMethods();
};

#endif