#ifndef _Event_ICE_
#define _Event_ICE_

#include <Ice/Identity.ice>

interface EventAdmin
{
	nonmutating Ice::Identity getId();
	nonmutating string getName();
		
	idempotent void setId(Ice::Identity id);
	idempotent void setName(string name);
};

class Event implements EventAdmin
{
	Ice::Identity objectId;
	string name;
};

#endif