
#ifndef _OnRezAdmin_ICE_
#define _OnRezAdmin_ICE_

/**
 * En esta interfaz definimos los metodos genericos
 * que todos los objetos del sistema deben redefinir
*/

#include <OnRez/Base.ice>
#include <Acl/Acl.ice>

interface OnRezAdmin
{
	nonmutating OnRez* getMyPx();
	idempotent void setMyPx(OnRez* myPx);
	
	nonmutating Ice::Identity getId();
	idempotent bool setId(Ice::Identity id);
	
	nonmutating int rtti();
	
	idempotent bool setService(OnRezService* service);
	nonmutating OnRezService* getService();
	
	idempotent bool setAcl(Acl* aclPx);
};

#endif
