
#ifndef _EventI_H_
#define _EventI_H_

#include <Ice/Ice.h>
#include <Ice/Identity.h>
#include <IceUtil/IceUtil.h>

#include <EventService/Event.h>

#include <string>
using namespace std;

#ifndef EVENT_API
#   define EVENT_API ICE_DECLSPEC_EXPORT
#endif

class EVENT_API EventI : virtual public Event, virtual public IceUtil::AbstractMutexReadI<IceUtil::RWRecMutex>
{
	public:
	
	EventI(const Ice::Identity& id,const std::string& name);
	
	virtual Ice::Identity getId(const Ice::Current& current)const;
	virtual string getName(const Ice::Current& current)const;
		
	virtual void setId(const Ice::Identity& id,const Ice::Current&);
	virtual void setName(const std::string& name,const Ice::Current&);
};
#endif
