
#ifndef _XmlRequest_H_
#define _XmlRequest_H_

#include <OnRez/Base.h>
#include <Acl/AclAdmin.h>
#include <qdom.h>
#include <qstring.h>

#include <string>
using namespace std;

#include <Ice/Ice.h>

class XmlRequest
{
	private:
	Ice::Identity sessionId;
	QString actionType;
	QString method;
	QString proxy;
	QString status;
	StringMap atts;
	public:	
	XmlRequest();
	Ice::Identity getSessionId();
	QString getActionType();
	QString getMethod();
	QString getProxy();
	QString getAtt(QString name);
	QString getStatus();
	void load(QString xml);
};

#endif
