#ifndef _OnRez_ICE_
#define _OnRez_ICE_

#include <IceStorm/IceStorm.ice>
#include <Ice/Identity.ice>

#include <EventService/EventListener.ice>
#include <EventService/EventPublisher.ice>


#include <OnRez/XmlAdmin.ice>

#include <Acl/Acl.ice>
#include <Acl/AclAdmin.ice>
#include <OnRez/OnRezAdmin.ice>
#include <OnRez/OnRezWeb.ice>
#include <OnRez/SearchAdmin.ice>

class OnRez implements XmlAdmin,AclAdmin,OnRezAdmin,OnRezWeb,EventPublisher,EventListener,SearchAdmin
{
	//Keys sequence used by searchAdmin iface
	Keys claves;
	
	//Proxy to this object
	OnRez* myPx;
	OnRezService* service;
	
	//The topic object represents the events chanel for this object
	//the topic use as name his identityToString of object id

	
	IceStorm::Topic* topic;
	
	//dictionary <string,Topic*> of all topis that this object listen
	
	TopicsMap topics;
	
	//Unique object id that identify the object in all the system
	
	Ice::Identity id;
	//Proxy to object Acl
	Acl* aclPx;
};

#endif
