#include <EventService/EventI.h>

EventI::EventI(const Ice::Identity& id,const string& name)
{
	this->objectId=id;
	this->name=name;
}
	
Ice::Identity EventI::getId(const Ice::Current& current)const
{
	return objectId;
}

string EventI::getName(const Ice::Current& current)const
{
	return name;
}

		
void EventI::setId(const Ice::Identity& id,const Ice::Current&)
{
	this->objectId=id;
}

void EventI::setName(const string& name,const Ice::Current&)
{
	this->name=name;
}
